# Swagger documentation

The different routes exposed by the backend are described by Swagger documentation in local env. The documentation is NOT exposed in REC or PROD.
Once the client is deployed, the documentation is accessible at https://localhost/doc/

To build Swagger documentation :

- Make sure you installed swag by running : `go install github.com/swaggo/swag/cmd/swag@latest`
  :::tip
  If "command not found: swag" or "No such file or directory", run `export PATH=$PATH:$(go env GOPATH)/bin`
  :::
- go to server repository and run `./scripts/init-swagger-doc.sh`

This will update `docs/swagger.json` and `docs/swagger.yaml` based on the annotations written above exposed methods.
